Bug 1173861 - /usr/bin/sapconf waits for input instead of reading from file
Summary: /usr/bin/sapconf waits for input instead of reading from file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sapconf
Version: 6.7
Hardware: All
OS: All
high
high
Target Milestone: rc
: ---
Assignee: Jan Grulich
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On:
Blocks: 1188233 1209644
TreeView+ depends on / blocked
 
Reported: 2014-12-13 15:14 UTC by Vladis Dronov
Modified: 2019-07-11 08:27 UTC (History)
8 users (show)

Fixed In Version: sapconf-0.98-5.el6
Doc Type: Bug Fix
Doc Text:
In SELinux permissive mode, the parameter with the path to the configuration file was missing. As a consequence, the sapconf script was waiting for the user input, which led to sapconf becoming unresponsive. The underlying source code has been fixed, and sapconf no longer hangs in the aforementioned situation.
Clone Of:
: 1188233 (view as bug list)
Environment:
Last Closed: 2015-07-22 06:39:03 UTC


Attachments (Terms of Use)
sapconf-0.98-4 check_security() patch (805 bytes, patch)
2014-12-13 15:14 UTC, Vladis Dronov
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:1329 normal SHIPPED_LIVE sapconf bug fix and enhancement update 2015-07-20 18:00:14 UTC
Red Hat Knowledge Base (Solution) 1295573 None None None Never

Description Vladis Dronov 2014-12-13 15:14:46 UTC
Created attachment 968111 [details]
sapconf-0.98-4 check_security() patch

Description of problem:
/usr/bin/sapconf waits for input (from keyboard) instead of reading from file in check_security()


Version-Release number of selected component (if applicable):
every version upto -0.98-4 (latest as of now)


How reproducible:
every time if 'SELINUX=permissive' is set in '/etc/selinux/config'


Steps to Reproduce:
1. verify 'SELINUX=permissive' is set in '/etc/selinux/config'
2. ./sapconf


Actual results:
script "locks up" waiting for keyboard input


Expected results:
script does not lock up


Additional info:
it looks like no one has tested this branch of execution. anyway, the bug and the fix are obvious, still please, see a proposed patch.

    if egrep -q "^SELINUX=['\"]?permissive"; then
                  the bug is exactly here ^^^

Comment 3 Jan Grulich 2015-02-11 14:55:40 UTC
Fixed in sapconf-0.98-5.el6.

Comment 9 errata-xmlrpc 2015-07-22 06:39:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-1329.html


Note You need to log in before you can comment on or make changes to this bug.